org.eclipse.january.dataset

## Interface BinaryOperation

- All Superinterfaces:
    IOperation
  All Known Implementing Classes:
    BinaryOperation.Stub, Operations.Addition, Operations.Division, Operations.DivisionTowardsFloor, Operations.DivisionWithZero, Operations.Exponentiation, Operations.Maximum, Operations.Minimum, Operations.Multiplication, Operations.Remainder, Operations.Subtraction, Operations.UseBase, Operations.UseIfEqualTo, Operations.UseIfGreaterThan, Operations.UseIfGreaterThanOrEqualTo, Operations.UseIfLessThan, Operations.UseIfLessThanOrEqualTo

      public interface BinaryOperation
      extends IOperation

  Interface to represent a binary operation for implementations over different output domains

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `BinaryOperation.Stub` Stub class where only three methods need to be overridden: `BinaryOperation.Stub.complexOperate(double[], double, double, double, double)`, `BinaryOperation.Stub.toString(String, String)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanOperate(long a, long b)`
    `void` | `complexOperate(double[] out, double ra, double ia, double rb, double ib)`
    `double` | `doubleOperate(double a, double b)`
    `long` | `longOperate(long a, long b)`
    `String` | `toString(String a, String b)`

- - ### Method Detail

    - #### booleanOperate

          boolean booleanOperate(long a,
                               long b)

      Parameters:
        `a` -
        `b` -
      Returns:
        a op b

    - #### longOperate

          long longOperate(long a,
                         long b)

      Parameters:
        `a` -
        `b` -
      Returns:
        a op b

    - #### doubleOperate

          double doubleOperate(double a,
                             double b)

      Parameters:
        `a` -
        `b` -
      Returns:
        a op b

    - #### complexOperate

          void complexOperate(double[] out,
                            double ra,
                            double ia,
                            double rb,
                            double ib)

      Parameters:
        `out` - holds (ra, ia) op (rb, ib)
        `ra` -
        `ia` -
        `rb` -
        `ib` -

    - #### toString

          String toString(String a,
                        String b)

      Parameters:
        `a` -
        `b` -
      Returns:
        string to represent output
      Since:
        2.0

Copyright © 2017. All rights reserved.